version: '3.2'

services:

  frontend:
    build: frontend
    ports:
      - 8001:80
    volumes:
      # Re-use local composer cache via host-volume
      - ~/.composer-docker/cache:/root/.composer/cache:delegated
      # Mount source-code for development
      - ./:/app

  backend:
    build: backend
    ports:
      - 8002:80
    volumes:
      # Re-use local composer cache via host-volume
      - ~/.composer-docker/cache:/root/.composer/cache:delegated
      # Mount source-code for development
      - ./:/app

  #mysql:
    #image: mysql:5.7
    #environment:
      #- MYSQL_ROOT_PASSWORD=Ahsan3492
      #- MYSQL_DATABASE=myduby
      #- MYSQL_USER=ahsan
      #- MYSQL_PASSWORD=ahsan3492

  #pgsql:
  #  image: postgres:9.5
  #  environment:
  #    - POSTGRES_DB=yii2advanced
  #    - POSTGRES_USER=yii2advanced
  #    - POSTGRES_PASSWORD=secret